from ocp_vscode import *
from build123d import *

set_port(3939)

b = 17
h = 7
l = 50
dikte = 2.4

with BuildPart() as clamp:
    with BuildSketch() as sk_clampbase:
        Rectangle(b, l)
        fillet(sk_clampbase.vertices(), radius=1.2)
    extrude(amount=dikte)


show_all()